﻿namespace Hotline.Share.Mq
{
    public class EventNames
    {
        /// <summary>
        /// 呼叫中心.黑名单电话过期
        /// </summary>
        public const string CallCenterBlackListExpired = "callcenter.blacklist.expired";

        #region 下行（省上向市州推送）
        /// <summary>
        /// 服务工单交办
        /// </summary>
        public const string HotlineOrderReceiveCaseInfo = "hotline.order.receivecaseinfo";

        /// <summary>
        /// 服务工单退回反馈
        /// </summary>
        public const string HotlineOrderGetCaseBackResult = "hotline.order.getcasebackresult";

        /// <summary>
        /// 服务工单延时审核结果
        /// </summary>
        public const string HotlineOrderDelayCaseResultReceive = "hotline.order.delaycaseresultreceive";

        /// <summary>
        /// 服务工单交办补充诉求
        /// </summary>
        public const string HotlineOrderSupplyCaseInfoReceive = "hotline.order.supplycaseinforeceive";

        /// <summary>
        /// 服务工单撤单
        /// </summary>
        public const string HotlineOrderRevokeCaseInfo = "hotline.order.revokecaseinfo";

        /// <summary>
        /// 服务工单催单
        /// </summary>
        public const string HotlineOrderRemindCaseInfo = "hotline.order.remindcaseinfo";

        /// <summary>
        /// 服务工单预警
        /// </summary>
        public const string HotlineOrderSendWarnInfo = "hotline.order.sendwarninfo";

        /// <summary>
        /// 督办工单派发
        /// </summary>
        public const string HotlineOrderSendSuperviseInfo = "hotline.order.sendsuperviseinfo";

        /// <summary>
        /// 服务工单甄别结果
        /// </summary>
        public const string HotlineOrderScreenCaseResultReceive = "hotline.order.screencaseresultreceive";

        /// <summary>
        /// 交办工单满意度接收
        /// </summary>
        public const string HotlineOrderSendCaseEvlResult = "hotline.order.sendcaseevlresult";

        /// <summary>
        /// 上报工单处理结果/退回
        /// </summary>
        public const string HotlineOrderGetCaseReultSend = "hotline.order.getcasereultsend";

        /// <summary>
        /// 上报工单评价
        /// </summary>
        public const string HotlineOrderGetVisitInfoSend = "hotline.order.getvisitinfosend";
        #endregion

        #region 上行（市州向省上推送）
        #region 协同-第一批次

        /// <summary>
        /// 服务工单交办处理
        /// </summary>
        public const string HotlineOrderGetCaseResultReceive = "hotline.order.getcaseresultreceive";

        /// <summary>
        /// 服务工单交办处理过程
        /// </summary>
        public const string HotlineOrderGetCaseProcessReceive = "hotline.order.getcaseprocessreceive";

        /// <summary>
        /// 服务工单交办评价
        /// </summary>
        public const string HotlineOrderGetVisitInfoReceive = "hotline.order.getvisitinforeceive";

        /// <summary>
        /// 退回申请
        /// </summary>
        public const string HotlineOrderGetCaseBackApply = "hotline.order.getcasebackapply";

        /// <summary>
        /// 服务工单申请延时
        /// </summary>
        public const string HotlineOrderDelayCaseInfoSend = "hotline.order.delaycaseinfosend";

        /// <summary>
        /// 服务工单督办过程
        /// </summary>
        public const string HotlineOrderSendSuperviseProcessInfo = "hotline.order.sendsuperviseprocessinfo";
        
        /// <summary>
        /// 服务工单督办结果
        /// </summary>
        public const string HotlineOrderSendSuperviseResultInfo = "hotline.order.sendsuperviseresultinfo";

        /// <summary>
        /// 工单发起甄别
        /// </summary>
        public const string HotlineOrderScreenCaseInfoSend = "hotline.order.screencaseinfosend";

        /// <summary>
        /// 政民互动提交公开
        /// </summary>
        public const string HotlineOrderZMHDCaseInfoPublic = "hotline.order.zmhdcaseinfopublic";

        /// <summary>
        /// 服务工单拓展信息交办
        /// </summary>
        public const string HotlineOrderReceiveCaseExtends = "hotline.order.receivecaseextends";

        /// <summary>
        /// 材料接口
        /// </summary>
        public const string HotlineOrderGetCaseMaterialInfo = "hotline.order.getcasematerialinfo";
        #endregion

        #region 汇聚-第二批次
        /// <summary>
        /// 热线工单创建成功
        /// </summary>
        public const string HotlineOrderCreated = "hotline.order.created";

        /// <summary>
        /// 热线工单流转--服务工单处理
        /// </summary>
        public const string HotlineOrderFlow = "hotline.order.flow";

        /// <summary>
        /// 工单从中心派往部门
        /// </summary>
        public const string HotlineOrderCenterToOrg = "hotline.order.centertoorg";

        /// <summary>
        /// 热线工单归档---服务工单结果
        /// </summary>
        public const string HotlineOrderFiled = "hotline.order.filed";

        /// <summary>
        /// 工单发布
        /// </summary>
        public const string HotlineOrderPublished = "hotline.order.published";

        /// <summary>
        /// 服务工单处理结果
        /// </summary>
        public const string HotlineOrderSubmitCaseResult = "hotline.order.submitcaseresult";

        /// <summary>
        /// 服务工单处理
        /// </summary>
        public const string HotlineOrderSubmitCaseProcess = "hotline.order.submitcaseprocess";

        /// <summary>
        /// 服务工单回访评价
        /// </summary>
        public const string HotlineOrderSubmitVisitInfo = "hotline.order.submitvisitinfo";

        /// <summary>
        /// 电话记录
        /// </summary>
        public const string HotlineOrderSubmitCaseRecord = "hotline.order.submitcaserecord";

        /// <summary>
        /// 统计数据
        /// </summary>
        public const string HotlineOrderSubmitCaseTotal = "hotline.order.submitcasetotal";

        /// <summary>
        /// 服务工单拓展信息
        /// </summary>
        public const string HotlineOrderSubmitCaseExtends = "hotline.order.submitcaseextends";
        #endregion

        #region 协同-第三批次
        /// <summary>
        /// 服务工单上报
        /// </summary>
        public const string SendCaseInfo = "hotline.order.sendcaseinfo";

        /// <summary>
        /// 上报补充诉求
        /// </summary>
        public const string SupplyCaseInfoSend = "hotline.order.supplycaseinfosend";

        /// <summary>
        /// 服务工单撤单
        /// </summary>
        public const string SendRevokeCaseInfo = "hotline.order.sendrevokecaseinfo";

        /// <summary>
        /// 服务工单催单
        /// </summary>
        public const string SendRemindCaseInfo = "hotline.order.sendremindcaseinfo";

        #endregion

        #region  协同-第四批次

        #region 知识库
        /// <summary>
        /// 知识库上报
        /// </summary>
        public const string HotlineKnowledgeInfoSend = "hotline.knowledge.infosend";

        /// <summary>
        /// 知识库变更
        /// </summary>
        public const string HotlineKnowledgeInfoUpdate = "hotline.knowledge.infoupdate";

        /// <summary>
        /// 知识库下架
        /// </summary>
        public const string HotlineKnowledgeInfoAbandon = "hotline.knowledge.infoabandon";

        #endregion

        /// <summary>
        /// 统计数据
        /// </summary>
        public const string HotlineSendRealTimeStatus = "hotline.order.sendrealtimestatus";
        #endregion
        #endregion

    }
}
