﻿using SqlSugar;
using XF.Domain.Repository;

namespace Hotline.Orders;

/// <summary>
/// 已发布工单
/// </summary>
public class OrderPublished : CreationEntity
{
    /// <summary>
    /// 工单编码（冗余）
    /// </summary>
    public string No { get; set; }

    //

    /// <summary>
    /// 已发布工单
    /// </summary>
    [Navigate(NavigateType.OneToOne, nameof(Id))]
    public Order Order { get; set; }
}