﻿using System.ComponentModel;

namespace Hotline.Share.Enums.FlowEngine;

public enum EDefinitionStatus
{
    /// <summary>
    /// 草稿
    /// </summary>
    [Description("草稿")]
    Temporary = 0,

    /// <summary>
    /// 启用
    /// </summary>
    [Description("启用")]
    Enable = 1,

    /// <summary>
    /// 禁用
    /// </summary>
    [Description("禁用")]
    Disable = 2,

    /// <summary>
    /// 过期(被新版本替代，依据该模板发起的流程依旧采用该模板走完流程)
    /// </summary>
    Expired = 3,
}